<ui:composition xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">

    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="restoreRulePanel"/>
        <ui:define name="popup_title">#{messages['net.ihe.gazelle.xval.RestoreADeprecatedRule']}</ui:define>
        <s:div id="restoreRulePanelContent">
            <s:div rendered="#{ruleUpdateManager.rule == null}">
                <h:outputText value="#{messages['net.ihe.gazelle.xval.NoRuleSelected']}"
                              styleClass="gzl-alert gzl-alert-orange"/>
            </s:div>
            <s:div rendered="#{ruleUpdateManager.rule != null}">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xval.WhatIsTheNewStatusForTheRuleNamed']} #{ruleUpdateManager.rule.keyword} ?"/>
            </s:div>
        </s:div>
        <ui:define name="popup_footer">
            <h:form id="restoreRulePanelButtonsForm">
                <s:div rendered="#{ruleUpdateManager.rule != null}">
                    <a4j:commandButton value="#{messages['gazelle.vut.Active']}"
                                       actionListener="#{ruleUpdateManager.activateRule()}"
                                       oncomplete="jq162('#restoreRulePanel').modal('hide');"
                                       render="rulesPanel addRuleForm"
                                       styleClass="gzl-btn-blue"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Inactive']}"
                                       actionListener="#{ruleUpdateManager.deactivateRule()}"
                                       oncomplete="jq162('#restoreRulePanel').modal('hide');"
                                       render="rulesPanel addRuleForm"
                                       styleClass="gzl-btn-blue"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Cancel']}"
                                       actionListener="#{ruleUpdateManager.setRule(null)}"
                                       oncomplete="jq162('#restoreRulePanel').modal('hide');"
                                       render="rulesPanel addRuleForm"
                                       styleClass="gzl-btn-orange"/>
                </s:div>
                <a4j:commandButton value="#{messages['gazelle.vut.Close']}" styleClass="gzl-btn"
                                   actionListener="#{ruleUpdateManager.setRule(null)}"
                                   oncomplete="jq162('#restoreRulePanel').modal('hide');"
                                   render="rulesPanel addRuleForm"

                                   rendered="#{ruleUpdateManager.rule == null}"/>
            </h:form>
        </ui:define>
    </ui:decorate>
</ui:composition>
